<script setup>
import { defineProps } from 'vue';
import OrderView from './order.vue'
import OrderInView from './orderIn.vue'
import OrderOutView from './orderOut.vue'

const props = defineProps({
  ioModel: null
})
</script>

<script>
export default {
  name: '订单'
}
</script>

<template>
  <div v-if="props.ioModel === 'in'">
    <OrderInView ioModel="in" />
  </div>
  <div v-else-if="props.ioModel === 'out'">
    <OrderOutView ioModel="out" />
  </div>
  <div v-else>
    <OrderView />
  </div>
</template>

<style></style>
